go-unifi
ReferenceOfficial APIOpenAPI SpecTraffic matching lists

List Traffic Matching Lists

Retrieve all traffic matching lists on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| </details>

GET
/v1/sites/{siteId}/traffic-matching-lists

Retrieve all traffic matching lists on a site.

NameTypeAllowed functions
idUUIDeq ne in notIn
nameSTRINGeq ne in notIn like
X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

offset?integer
limit?integer
filter?string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/traffic-matching-lists"
{  "offset": 0,  "limit": 25,  "count": 10,  "totalCount": 1000,  "data": [    {      "type": "string",      "id": "ffcdb32c-6278-4364-8947-df4f77118df8",      "name": "Allowed port list|Protected IP list"    }  ]}